      function acosh(y) 
c bernd berg may 31 2009. inverse cosh function.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      acosh=log(y+sqrt(y**2-one))
      return
      end
